Subject: Re: [PATCH rc v4 3/5] iommu/arm-smmu-v3: Skip EVTQ/PRIQ setup in kdump kernel

From: Nicolin Chen <[email-masked]>
Date: Sat, 9 May 2026 00:44:49 -0700

On Fri, May 08, 2026 at 07:41:20AM +0000, Tian, Kevin wrote:
> > From: Nicolin Chen <[email-masked]>
> > Sent: Wednesday, April 29, 2026 3:21 PM
> > 
> > In kdump cases, the crashed kernel's CDs and page tables can be corrupted,
> > which could trigger event spamming. Also, we cannot serve page requests.
> > 
> > Skip the EVTQ/PRIQ setup entirely rather than enabling then disabling them.
> 
> this is a refactoring to achieve the same goal as before...
> 
> > 
> > Skip the IRQ setup and guard their thread functions as well.
> 
> ... while this sounds a new enforcement (then better in a separate patch?)

In v5, I split it into two patches and kept your Reviewed-by:
 - iommu/arm-smmu-v3: Skip EVTQ/PRIQ setup in kdump kernel
 - iommu/arm-smmu-v3: Suppress EVTQ/PRIQ events in kdump kernel

Thanks
Nicolin